/**
 * Copyright (c) 2021-2022, Stefan Ascher
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 */

#pragma once

#define SADAV_VERSION_MAJOR 1
#define SADAV_VERSION_MINOR 3
#define SADAV_VERSION_REVISION 0

#define SADAV_VERSION_CREATE(major, minor, revision) ((((major) << 16) | ((minor) << 8)) | (revision))
#define SADAV_VERSION_STR(a) #a
#define SADAV_VERSION_STR1(a) SADAV_VERSION_STR(a)

#define SADAV_VERSION SADAV_VERSION_CREATE(SADAV_VERSION_MAJOR, SADAV_VERSION_MINOR, SADAV_VERSION_REVISION)
#define SADAV_VERSION_STRING SADAV_VERSION_STR1(SADAV_VERSION_MAJOR) "." SADAV_VERSION_STR1(SADAV_VERSION_MINOR) "." SADAV_VERSION_STR1(SADAV_VERSION_REVISION)
